<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <link rel="stylesheet" href="{{ url_for('static',filename='css/myStyle.css') }}" />

    <title>SuperHeros Profiles</title>
</head>

<body>
    <div class="container mt-4">
        <div class="row">
            <div class="col-md-10 offset-md-1">
                <h1 class="text-center">Profile</h1>
            </div>
        </div>
        <div class="row">
            <div class="col-md-10 offset-md-1">
                <h1>{{data.name}}</h1>
                <hr />
            </div>
        </div>
        <!-- Powerstats -->
        <div class="row">
            <div class="col-md-2 offset-md-1">
                <img class="img-thumbnail" src="{{data.image.url}}" alt="" />
            </div>
            <div class="col-md-8 mt-2">
                <h5 class="header">Powerstats</h5>
                <div class="row">
                    <div class="col-md-6 mt-2">Intelligence
                        <div class="progress">
                            <div class="progress-bar bg-info" role="progressbar"
                                style="width: {{data.powerstats.intelligence}}%"
                                aria-valuenow="{{data.powerstats.intelligence}}" aria-valuemin="0" aria-valuemax="100">
                                {{data.powerstats.intelligence}}%</div>
                        </div>
                    </div>
                    <div class="col-md-6 mt-2">Strength
                        <div class="progress">
                            <div class="progress-bar bg-info" role="progressbar"
                                style="width: {{data.powerstats.strength}}%"
                                aria-valuenow="{{data.powerstats.strength}}" aria-valuemin="0" aria-valuemax="100">
                                {{data.powerstats.strength}}%</div>
                        </div>
                    </div>

                    <div class="w-100"></div>
                    <div class="col-md-6 mt-2">Speed
                        <div class="progress">
                            <div class="progress-bar bg-info" role="progressbar"
                                style="width: {{data.powerstats.speed}}%" aria-valuenow="{{data.powerstats.speed}}"
                                aria-valuemin="0" aria-valuemax="100">
                                {{data.powerstats.speed}}%</div>
                        </div>
                    </div>
                    <div class="col-md-6 mt-2">Durability
                        <div class="progress">
                            <div class="progress-bar bg-info" role="progressbar"
                                style="width: {{data.powerstats.durability}}%"
                                aria-valuenow="{{data.powerstats.durability}}" aria-valuemin="0" aria-valuemax="100">
                                {{data.powerstats.durability}}%</div>
                        </div>
                    </div>

                    <div class="w-100"></div>
                    <div class="col-md-6 mt-2">Power
                        <div class="progress">
                            <div class="progress-bar bg-info" role="progressbar"
                                style="width: {{data.powerstats.power}}%" aria-valuenow="{{data.powerstats.power}}"
                                aria-valuemin="0" aria-valuemax="100">
                                {{data.powerstats.power}}%</div>
                        </div>
                    </div>
                    <div class="col-md-6 mt-2">Combat
                        <div class="progress">
                            <div class="progress-bar bg-info" role="progressbar"
                                style="width: {{data.powerstats.combat}}%" aria-valuenow="{{data.powerstats.combat}}"
                                aria-valuemin="0" aria-valuemax="100">
                                {{data.powerstats.combat}}%</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Biography -->
        <div class="row">
            <div class="col-md-10 offset-md-1 mt-4">
                <h5 class="header">Biography</h5>
            </div>
            <div class="w-100"></div>
            <div class="col-md-2 offset-md-1">
                <b>Full Name</b>
            </div>
            <div class="col-md-3">
                {{data.biography["full-name"]}}
            </div>
            <div class="col-md-2">
                <b>Alter Egos</b>
            </div>
            <div class="col-md-3">
                {{data.biography["alter-egos"]}}
            </div>
            <div class="col-md-2 offset-md-1">
                <b>Aliases</b>
            </div>
            <div class="col-md-3">
                {% for aliase in data.biography["aliases"] %}
                {% for list in aliase.split(";") %}
                * {{list}}<br/>
                {% endfor %}
                {% endfor %}
            </div>
            <div class="col-md-2">
                <b>Place of Birth</b>
            </div>
            <div class="col-md-3">
                {{data.biography["place-of-birth"]}}
            </div>
            <div class="col-md-2 offset-md-1">
                <b>Publisher</b>
            </div>
            <div class="col-md-3">
                {{data.biography["publisher"]}}
            </div>
            <div class="col-md-2">
                <b>Alignment</b>
            </div>
            <div class="col-md-3">
                {{data.biography["alignment"][0]|upper}}{{data.biography["alignment"][1:]}}
            </div>
        </div>
        <!-- Appearance -->
        <div class="row">
            <div class="col-md-10 offset-md-1 mt-4">
                <h5 class="header">Appearance</h5>
            </div>
            <div class="w-100"></div>
            <div class="col-md-2 offset-md-1">
                <b>Gender</b>
            </div>
            <div class="col-md-3">
                {{data.appearance["gender"]}}
            </div>
            <div class="col-md-2">
                <b>Race</b>
            </div>
            <div class="col-md-3">
                {{data.appearance["race"]}}
            </div>
            <div class="col-md-2 offset-md-1">
                <b>Height</b>
            </div>
            <div class="col-md-3">
                {% for height in data.appearance["height"] %}
                    {{height}}
                {% endfor %}
            </div>
            <div class="col-md-2">
                <b>Weight</b>
            </div>
            <div class="col-md-3">
                {% for weight in data.appearance["weight"] %}
                    {{weight}}
                {% endfor %}
            </div>
            <div class="col-md-2 offset-md-1">
                <b>Eye Color</b>
            </div>
            <div class="col-md-3">
                {{data.appearance["eye-color"][0]|upper}}{{data.appearance["eye-color"][1:]}}
            </div>
            <div class="col-md-2">
                <b>Hair Color</b>
            </div>
            <div class="col-md-3">
                {{data.appearance["hair-color"][0]|upper}}{{data.appearance["hair-color"][1:]}}
            </div>
        </div>
        <!-- Work -->
        <div class="row">
            <div class="col-md-10 offset-md-1 mt-4">
                <h5 class="header">Work</h5>
            </div>
            <div class="w-100"></div>
            <div class="col-md-2 offset-md-1">
                <b>Occupation</b>
            </div>
            <div class="col-md-3">
                {{data.work["occupation"]}}
            </div>
            <div class="col-md-2">
                <b>Base</b>
            </div>
            <div class="col-md-3">
                {% for base in data.work["base"].split(";") %}
                {{base}}<br />
                {% endfor %}
            </div>
        </div>
        <!-- Connections -->
        <div class="row mb-4">
            <div class="col-md-10 offset-md-1 mt-4">
                <h5 class="header">Connections</h5>
            </div>
            <div class="w-100"></div>
            <div class="col-md-2 offset-md-1">
                <b>Group Affiliation</b>
            </div>
            <div class="col-md-3">
                {% for group in data.connections["group-affiliation"].split(";") %}
                    * {{group}}<br/>
                {% endfor %}
            </div>
            <div class="col-md-2">
                <b>Relatives</b>
            </div>
            <div class="col-md-3">
                {{ data.connections["relatives"] }}
            </div>
        </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
    <script src="{{url_for('static',filename='js/myScripts.js')}}"></script>
</body>

</html>